# DataRefine

**DataRefine** is a Python package designed for data cleaning with interactive output and visualizations. It offers a streamlined interface to help users detect and handle missing values, outliers, perform normalization and transformation, and assess data quality. The package also integrates interactive visualizations to make it easy for users to understand their data, along with an interface for an enhanced user experience.

## Features

- **Missing Values Detection and Handling**: Detect missing values and apply various methods to handle them (mean, median, mode imputation, etc.).
- **Outlier Detection and Handling**: Identify outliers and provide methods for dealing with them.
- **Normalization & Transformation**: Apply normalization and transformation techniques to your data for scaling and distribution improvement.
- **Data Quality Assessment**: Compute key quality metrics, summary statistics, and identify data inconsistencies.
- **Interactive Visualizations**: Visualize data distributions, outliers, missing data, and correlations using easy-to-understand plots.
- **User-friendly Interface**: An interactive Streamlit-powered interface for seamless navigation and ease of use.

## Installation

You can install the latest version of **DataRefine** directly from PyPi:

```bash
pip install DataRefine
